View Issue Details

IDProjectCategoryView StatusLast Update
0002352FreeCADBugpublic2019-08-14 12:22
ReportersasoAssigned Toeivindkvedalen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002352: Spreadsheet bugs
Descriptionas reported here http://forum.freecadweb.org/viewtopic.php?f=3&t=13287&start=20#p107102
Steps To ReproduceIf we add something like this (first number is just to show the cell, so first cell A1 just has the value "20", the exact numbers are not important)

Case #1

A1 "20"
A2 "15"
A3 "16"
A4 "25"
A5 "=sum(A1:A4)"

Removing a row from A1 to A3 works OK, removing row A4, last row before the sum, gives unexpected result, broken formula/function...

Case 0000002

A1 "20"
A2 "15"
A3 "16"
A4 "25"
A5 "=sum(A1:A4)"
A6 "=A5/2"

Removing any row from A1 to A4 will give this error (this is the case with the more recent dev builds, older builds also had this bug but I believe there was no error reported)

Exception (Tue Dec 01 17:13:02 2015): Invalid column specification
Unhandled Base::Exception caught in GUIApplication::notify.
The error message is: FreeCAD exception thrown (Invalid column specification)
TagsNo tags attached.

Activities

eivindkvedalen

2015-12-03 20:55

developer   ~0006579

Could you please try https://github.com/eivindkv/free-cad-code/commits/Spreadsheet_fixes_20151203

It's rebased on recent master.

saso

2015-12-04 19:24

reporter   ~0006580

Sorry but at the moment I don't have a build environment set up so that I could test this. I trust your code :) but if you think it would be good to test we can ask in the forum...

wmayer

2015-12-09 11:00

administrator   ~0006582

Last edited: 2015-12-09 11:11

View 2 revisions

I can't confirm this behaviour neither on Windows (Debug/Release) nor on Ubuntu.
EDIT: Now I can see it, too.

Tested with:

OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6018 (Git)
Build type: Release
Branch: master
Hash: c67b2bed45ac8b7bf6f7eda3c22541a26fce571a
Python version: 2.7.6
Qt version: 4.8.5
Coin version: 4.0.0a
OCC version: 6.6.0

-----------------------------------------------

OS: Ubuntu 12.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6018 (Git)
Build type: Release
Branch: master
Hash: c67b2bed45ac8b7bf6f7eda3c22541a26fce571a
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
OCC version: 6.8.0.oce-0.17

Related Changesets

FreeCAD: master 4b5ae54e

2015-12-03 21:36:21

Eivind Kvedalen


Committer: wmayer Details Diff
App: Removed VariableExpression::setName(), and replace call by setPath(); it's use caused a crash (0002352). Affected Issues
0002352
mod - src/App/Expression.h Diff File
mod - src/Mod/Spreadsheet/App/PropertySheet.cpp Diff File

FreeCAD: master 71605e63

2015-12-03 21:39:11

Eivind Kvedalen


Committer: wmayer Details Diff
Spreadsheet: Fixed issue 0002352, removal of rows and columns. Affected Issues
0002352
mod - src/Mod/Spreadsheet/App/PropertySheet.cpp Diff File

Issue History

Date Modified Username Field Change
2015-12-02 14:01 saso New Issue
2015-12-03 19:35 eivindkvedalen Assigned To => eivindkvedalen
2015-12-03 19:35 eivindkvedalen Status new => assigned
2015-12-03 20:55 eivindkvedalen Note Added: 0006579
2015-12-04 19:24 saso Note Added: 0006580
2015-12-09 11:00 wmayer Note Added: 0006582
2015-12-09 11:11 wmayer Note Edited: 0006582 View Revisions
2015-12-09 11:47 wmayer Changeset attached => FreeCAD Master master 71605e63
2015-12-09 11:49 wmayer Status assigned => closed
2015-12-09 11:49 wmayer Resolution open => fixed
2015-12-09 11:49 wmayer Fixed in Version => 0.16
2019-08-14 12:22 Kunda1 Changeset attached => FreeCAD master 4b5ae54e